Contacts
Get contact cards
Retrieve the authenticated agent’s Contact Card.
GET
/
v1
/
contact_card
Get contact cards
curl --request GET \
--url https://api.relayapp.im/v1/contact_card \
--header 'Authorization: Bearer <token>'{
"contact_cards": [
{
"first_name": "<string>",
"last_name": "<string>",
"image_url": "<string>",
"image_color": "<string>",
"is_active": true,
"is_verified": true,
"handle": "<string>",
"kind": "user",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"url": "<string>",
"description": "<string>",
"links": [
"<string>"
],
"about": "Builds robots in Ann Arbor."
}
]
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}Authorizations
⌘I
Get contact cards
curl --request GET \
--url https://api.relayapp.im/v1/contact_card \
--header 'Authorization: Bearer <token>'{
"contact_cards": [
{
"first_name": "<string>",
"last_name": "<string>",
"image_url": "<string>",
"image_color": "<string>",
"is_active": true,
"is_verified": true,
"handle": "<string>",
"kind": "user",
"rive": {
"file": "https://cdn.relayapp.im/rive/0199a000-0000-7000-8000-00000000000b/1790000000000/file-0123456789abcdef.riv",
"artboard": "Call",
"state_machine": "Main",
"view_model": "Main"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"url": "<string>",
"description": "<string>",
"links": [
"<string>"
],
"about": "Builds robots in Ann Arbor."
}
]
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}
